package com.winsun.utils;

import com.baomidou.mybatisplus.enums.SqlLike;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.winsun.bean.Order;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

public class WrapperUtil {

    public static void wrapperGe(EntityWrapper<Order> wrapper, Map<String, Object> map, String str, String str2){
        if (map.containsKey(str) && StringUtils.isNotBlank(map.get(str).toString())){
            wrapper.ge(str2, map.get(str).toString());
        }
    }
    public static void wrapperLe(EntityWrapper<Order> wrapper, Map<String, Object> map, String str, String str2){
        if (map.containsKey(str) && StringUtils.isNotBlank(map.get(str).toString())){
            wrapper.ge(str2, map.get(str).toString());
        }
    }

    public static void wrapperEq(EntityWrapper<Order> wrapper, Map<String, Object> map, String str,String str2){
        if (map.containsKey(str) && StringUtils.isNotBlank(map.get(str).toString())){
            wrapper.eq(str2, map.get(str).toString());
        }
    }
    public static void wrapperLike(EntityWrapper<Order> wrapper, Map<String, Object> map, String str,String str2){
        if (map.containsKey(str) && StringUtils.isNotBlank(map.get(str).toString())){
            wrapper.like(str2, map.get(str).toString(), SqlLike.DEFAULT);
        }
    }
}
